autopkgtest fails 'rebuild' test due to missing/deleted spl-linux version in debian/dkms-versions

Bug #1890178 reported by Dan Streetman on 2020-08-03
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux-aws-edge (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Focal
Undecided
Unassigned

Bug Description

The autopkgtests for the bionic linux-aws-edge kernel have recently started failing:
http://autopkgtest.ubuntu.com/packages/l/linux-aws-edge/bionic/amd64

this is because their debian/dkms-versions contains:
spl-linux 0.7.12-1ubuntu3
zfs-linux 0.7.12-1ubuntu5.1
nvidia-graphics-drivers-390 390.116-0ubuntu1
nvidia-graphics-drivers-418 418.56-0ubuntu1

however that version of spl-linux is from disco, and it was recently removed from the archives, resulting in the 'rebuild' test failing because it can't download that version of the spl-dkms package. Note that none of those dkms versions are still available in the archives.

The debian/dkms-versions file should be updated to use a newer versions that are still present in the archives.

Balint Reczey (rbalint) on 2020-10-09
tags: added: update-excuses-bionic
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers